> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riverside.fm/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Exports

> Retrieves a list of exports with optional filtering by studio ID, project ID, or recording ID. Each export includes information about output files.

<Warning>
  **This endpoint is deprecated.** Please migrate to the [v3 List All Exports](/endpoints-reference/v3/list-all-exports) endpoint.
</Warning>

**HTTP Method:** GET

**URL:** `/api/v1/exports`

**Authentication:** Requires API Key in the request header.

**Query Parameters**

You may optionally filter by one of the following parameters:

* `studioId` — ID of the studio to filter exports.
* `projectId` — ID of the project to filter exports.
* `start_date` — Return exports created on or after this date (YYYY-MM-DD).
* `end_date` — Return exports created on or before this date (YYYY-MM-DD).

> **Notes:**
>
> * Providing only start\_date returns all exports from that date forward; providing only end\_date returns all exports up to that date.
> * Use both start\_date and end\_date to filter by a date range.
> * Date filtering works in combination with studioId or projectId.
> * If no parameter is provided, the response will include exports from all studios in the account.

**Response:** List of exports objects.

**Rate limit:** Once every 10 seconds for unique request.

**Sorting:** Lists objects in order of “newest created first”.

**Pagination:** Default page size 20.

Response:

* `page` page you are viewing
* `next_page_url`
* `total_items`
* `total_pages`
* `data` list of exports objects

Request:

* `page` page that you want to receive (optional, defaults to page 0)

**Rate limit:** Once every 30 seconds for unique request.

**Status Codes**:

* `200 OK` Exports retrieval successful.
* `401 Unauthorized` Authentication failed.

### **Sample Request**

```
GET /api/v2/exports?studioId=1 HTTP/1.1
Host: platform.riverside.fm
Authorization: BEARER YOUR_API_KEY
```

### **Sample Request with pagination**

```md theme={null}
GET /api/v2/exports?studioId=1&page=4 HTTP/1.1
Host: platform.riverside.fm
Authorization: BEARER YOUR_API_KEY
```

### **Sample Request with date range**

```md theme={null}
GET /api/v2/exports?start_date=2025-05-01&end_date=2025-06-30 HTTP/1.1
Host: platform.riverside.fm
Authorization: BEARER YOUR_API_KEY
```

### **Sample Response**

```json theme={null}
{
    "page": 1,
    "total_items": 4,
    "total_pages": 1,
    "next_page_url": null,
    "data": [
        {
            "export_id": "1",
            "name": "Export 1",
            "project_id": "2",
            "project_name": "Project 2",
            "studio_id": "1",
            "studio_name": "Main Studio",
            "status": "ready",
            "created_date": "2025-11-04T13:27:50.814Z",
            "type": "video",
            "quality": "2160p 4K",
            "download_url": "https://api.riverside.fm/downloads/export1.mp4",
            "error": null
        },
        {
            "export_id": "2",
            "name": "Export 2",
            "project_id": "2",
            "project_name": "Project 2",
            "studio_id": "1",
            "studio_name": "Main Studio",
            "status": "ready",
            "created_date": "2025-07-23T09:56:46.163Z",
            "type": "video",
            "quality": "1080p HD",
            "download_url": "https://api.riverside.fm/downloads/export2.mp4",
            "error": null
    ]
}
```
